Web hosting
The hosting package: what it includes and what is used.
Package usage
GET/hosting/usage
Needs the permission website:read
Every limit of the hosting package, with what is used against it.
Response 200
has_hostingrequired | boolean | |
linesrequired | object[] | |
keyrequired | string | |
usedrequired | integer | |
limitrequired | integer | |
unitrequired | string | |
percentrequired | integer | null | |
staterequired | string |
curl "https://portal.nimag.net/api/v1/hosting/usage" \ -H "Authorization: Bearer nck_…"
{
"has_hosting": true,
"lines": [
{
"key": "string",
"used": 0,
"limit": 0,
"unit": "string",
"percent": 0,
"state": "string"
}
]
}Hosting plans
GET/hosting-plans
Any key
The packages that can be ordered.
Response 200
namerequired | string | |
limitsrequired | object[] | |
keyrequired | string | |
limitrequired | integer | |
unitrequired | string | |
extrasrequired | string[] | |
extras_en | string[] | default [] |
prices | object[] | default [] |
monthsrequired | integer | |
amountrequired | number | |
currencyrequired | string | |
current | boolean | default false |
curl "https://portal.nimag.net/api/v1/hosting-plans" \ -H "Authorization: Bearer nck_…"
[
{
"name": "string",
"limits": [
{
"key": "string",
"limit": 0,
"unit": "string"
}
],
"extras": [
"string"
],
"extras_en": [],
"prices": [],
"current": false
}
]